diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index c3eaa8d..f40cb36 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -18,7 +18,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: genparams.c,v 1.45 2009/08/27 12:32:14 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.46 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -42,19 +42,19 @@ TestOutput(const char *type, const char *value_to_convert, SQLSMALLINT out_c_typ
 	int i;
 	const char *sep;
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* build store procedure to test */
-	Command("IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
+	odbc_command("IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
 	sep = "'";
 	if (strncmp(value_to_convert, "0x", 2) == 0)
 		sep = "";
 	sprintf(sbuf, "CREATE PROC spTestProc @i %s OUTPUT AS SELECT @i = CONVERT(%s, %s%s%s)", type, type, sep, value_to_convert, sep);
-	Command(sbuf);
+	odbc_command(sbuf);
 	memset(out_buf, 0, sizeof(out_buf));
 
 	if (use_cursors) {
-		ResetStatement();
+		odbc_reset_statement();
 		CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, 0, "S");
 		CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0, "S");
 	}
@@ -83,8 +83,8 @@ TestOutput(const char *type, const char *value_to_convert, SQLSMALLINT out_c_typ
 	 * MS OBDC requires it cause first recordset is a recordset with a
 	 * warning caused by the way it execute RPC (via EXEC statement)
 	 */
-	if (use_cursors && !driver_is_freetds())
-		SQLMoreResults(Statement);
+	if (use_cursors && !odbc_driver_is_freetds())
+		SQLMoreResults(odbc_stmt);
 
 	/* test results */
 	sbuf[0] = 0;
@@ -115,7 +115,7 @@ TestOutput(const char *type, const char *value_to_convert, SQLSMALLINT out_c_typ
 		fprintf(stderr, "Wrong result\n  Got: %s\n  Expected: %s\n", sbuf, expected);
 		exit(1);
 	}
-	Command("drop proc spTestProc");
+	odbc_command("drop proc spTestProc");
 }
 
 static char check_truncation = 0;
@@ -132,7 +132,7 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 	const char *p;
 	const char *sep = "'";
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* execute a select to get data as wire */
 	if ((p = strstr(value_to_convert, " -> ")) != NULL) {
@@ -142,8 +142,8 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 	if (value_len >= 2 && strncmp(value_to_convert, "0x", 2) == 0)
 		sep = "";
 	sprintf(sbuf, "SELECT CONVERT(%s, %s%.*s%s)", type, sep, (int) value_len, value_to_convert, sep);
-	Command(sbuf);
-	SQLBindCol(Statement, 1, out_c_type, out_buf, sizeof(out_buf), &out_len);
+	odbc_command(sbuf);
+	SQLBindCol(odbc_stmt, 1, out_c_type, out_buf, sizeof(out_buf), &out_len);
 	CHKFetch("SI");
 	CHKFetch("No");
 	CHKMoreResults("No");
@@ -153,12 +153,12 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 	}
 
 	/* create a table with a column of that type */
-	ResetStatement();
+	odbc_reset_statement();
 	sprintf(sbuf, "CREATE TABLE #tmp_insert (col %s)", param_type);
-	Command(sbuf);
+	odbc_command(sbuf);
 
 	if (use_cursors) {
-		ResetStatement();
+		odbc_reset_statement();
 		CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, 0, "S");
 		CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0, "S");
 	}
@@ -189,7 +189,7 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 
 	/* check if row is present */
 	if (!check_truncation) {
-		ResetStatement();
+		odbc_reset_statement();
 		sep = "'";
 		if (strncmp(expected, "0x", 2) == 0)
 			sep = "";
@@ -201,14 +201,14 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 			sprintf(sbuf, "SELECT * FROM #tmp_insert WHERE CONVERT(VARBINARY(255), col) = CONVERT(VARBINARY(255), %s%s%s)", sep, expected, sep);
 		else
 			sprintf(sbuf, "SELECT * FROM #tmp_insert WHERE col = CONVERT(%s, %s%s%s)", param_type, sep, expected, sep);
-		Command(sbuf);
+		odbc_command(sbuf);
 
 		CHKFetch("S");
 		CHKFetch("No");
 		CHKMoreResults("No");
 	}
 	check_truncation = 0;
-	Command("DROP TABLE #tmp_insert");
+	odbc_command("DROP TABLE #tmp_insert");
 }
 
 /* stripped down version of TestInput for NULLs */
@@ -218,15 +218,15 @@ NullInput(SQLSMALLINT out_c_type, SQLSMALLINT out_sql_type, const char *param_ty
 	char sbuf[1024];
 	SQLLEN out_len = SQL_NULL_DATA;
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* create a table with a column of that type */
-	ResetStatement();
+	odbc_reset_statement();
 	sprintf(sbuf, "CREATE TABLE #tmp_insert (col %s NULL)", param_type);
-	Command(sbuf);
+	odbc_command(sbuf);
 
 	if (use_cursors) {
-		ResetStatement();
+		odbc_reset_statement();
 		CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, 0, "S");
 		CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_DYNAMIC, 0, "S");
 	}
@@ -250,16 +250,16 @@ NullInput(SQLSMALLINT out_c_type, SQLSMALLINT out_sql_type, const char *param_ty
 	}
 
 	/* check if row is present */
-	ResetStatement();
-	if (!db_is_microsoft() && strcmp(param_type, "TEXT") == 0)
-		Command("SELECT * FROM #tmp_insert WHERE col LIKE ''");
+	odbc_reset_statement();
+	if (!odbc_db_is_microsoft() && strcmp(param_type, "TEXT") == 0)
+		odbc_command("SELECT * FROM #tmp_insert WHERE col LIKE ''");
 	else
-		Command("SELECT * FROM #tmp_insert WHERE col IS NULL");
+		odbc_command("SELECT * FROM #tmp_insert WHERE col IS NULL");
 
 	CHKFetch("S");
 	CHKFetch("No");
 	CHKMoreResults("No");
-	Command("DROP TABLE #tmp_insert");
+	odbc_command("DROP TABLE #tmp_insert");
 }
 
 
@@ -285,7 +285,7 @@ AllTests(void)
 	NullInput(SQL_C_TYPE_TIMESTAMP, SQL_TYPE_TIMESTAMP, "DATETIME");
 	NullInput(SQL_C_FLOAT,  SQL_REAL, "FLOAT");
 	NullInput(SQL_C_NUMERIC, SQL_LONGVARCHAR, "TEXT");
-	if (db_is_microsoft() && db_version_int() >= 0x08000000u)
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x08000000u)
 		NullInput(SQL_C_BIT, SQL_BIT, "BIT");
 	NullInput(SQL_C_DOUBLE, SQL_DOUBLE, "MONEY");
 
@@ -301,12 +301,12 @@ AllTests(void)
 	 * MS driver behavior for output parameters is different
 	 * former returns "313233" while newer "333133323333"
 	 */
-	if (driver_is_freetds())
+	if (odbc_driver_is_freetds())
 		TestOutput("VARCHAR(20)", "313233", SQL_C_BINARY, SQL_VARCHAR, "333133323333");
 	/* FIXME our driver ignore precision for date */
 	precision = 3;
 	/* Some MS driver incorrectly prepare with smalldatetime*/
-	if (!use_cursors || driver_is_freetds())
+	if (!use_cursors || odbc_driver_is_freetds())
 		TestOutput("DATETIME", "2004-02-24 15:16:17", SQL_C_BINARY, SQL_TIMESTAMP, big_endian ? "0000949700FBAA2C" : "979400002CAAFB00");
 	TestOutput("SMALLDATETIME", "2004-02-24 15:16:17", SQL_C_BINARY, SQL_TIMESTAMP,
 	     big_endian ? "0000949700FB9640" : "979400004096FB00");
@@ -330,9 +330,9 @@ AllTests(void)
 	m = ltime->tm_mon + 1;
 	d = ltime->tm_mday;
 	/* server concept of data can be different so try ask to server */
-	Command("SELECT GETDATE()");
-	SQLBindCol(Statement, 1, SQL_C_CHAR, date, sizeof(date), NULL);
-	if (SQLFetch(Statement) == SQL_SUCCESS) {
+	odbc_command("SELECT GETDATE()");
+	SQLBindCol(odbc_stmt, 1, SQL_C_CHAR, date, sizeof(date), NULL);
+	if (SQLFetch(odbc_stmt) == SQL_SUCCESS) {
 		int a, b, c;
 		if (sscanf(date, "%d-%d-%d", &a, &b, &c) == 3) {
 			y = a;
@@ -340,9 +340,9 @@ AllTests(void)
 			d = c;
 		}
 	}
-	SQLFetch(Statement);
-	SQLMoreResults(Statement);
-	SQLFreeStmt(Statement, SQL_UNBIND);
+	SQLFetch(odbc_stmt);
+	SQLMoreResults(odbc_stmt);
+	SQLFreeStmt(odbc_stmt, SQL_UNBIND);
 	sprintf(buf, "2003-07-22 13:02:03 -> %04d-%02d-%02d 13:02:03", (int) y, (int) m, (int) d);
 	TestInput(SQL_C_TYPE_TIME, "DATETIME", SQL_TYPE_TIMESTAMP, "DATETIME", buf);
 
@@ -387,7 +387,7 @@ AllTests(void)
 	TestOutput("VARCHAR(20)", "0xf8f9", SQL_C_CHAR, SQL_VARCHAR, "2 \xf8\xf9");
 
 	/* TODO some Sybase versions */
-	if (db_is_microsoft() && db_version_int() >= 0x08000000u) {
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x08000000u) {
 		TestOutput("BIGINT", "-987654321065432", SQL_C_BINARY, SQL_BIGINT, big_endian ? "FFFC7DBBCF083228" : "283208CFBB7DFCFF");
 		TestInput(SQL_C_SBIGINT, "BIGINT", SQL_BIGINT, "BIGINT", "-12345678901234");
 		TestInput(SQL_C_CHAR, "NVARCHAR(100)", SQL_WCHAR, "NVARCHAR(100)", "test");
@@ -433,7 +433,7 @@ AllTests(void)
 		TestInput(SQL_C_BINARY, "VARBINARY(100)", SQL_WVARCHAR, "NVARCHAR(20)", "0x4100450054004F00 -> AETO");
 		TestInput(SQL_C_BINARY, "IMAGE", SQL_WVARCHAR, "NVARCHAR(20)", "0x4100450054004F00 -> AETO");
 	}
-	if (db_is_microsoft() && db_version_int() >= 0x09000000u) {
+	if (odbc_db_is_microsoft() && odbc_db_version_int() >= 0x09000000u) {
 		TestInput(SQL_C_CHAR, "VARCHAR(20)", SQL_LONGVARCHAR, "VARCHAR(MAX)", "1EasyTest");
 		TestInput(SQL_C_BINARY, "VARBINARY(20)", SQL_LONGVARBINARY, "VARBINARY(MAX)", "Anything will suite!");
 	}
@@ -442,17 +442,17 @@ AllTests(void)
 int
 main(int argc, char *argv[])
 {
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	if (((char *) &big_endian)[0] == 1)
 		big_endian = 0;
 
 	for (use_cursors = 0; use_cursors <= 1; ++use_cursors) {
 		if (use_cursors) {
-			if (!tds_no_dm || !driver_is_freetds())
-				ResetStatement();
-			CheckCursor();
+			if (!tds_no_dm || !odbc_driver_is_freetds())
+				odbc_reset_statement();
+			odbc_check_cursor();
 		}
 
 		exec_direct = 1;
@@ -466,7 +466,7 @@ main(int argc, char *argv[])
 		AllTests();
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done successfully!\n");
 	return 0;
diff --git a/src/odbc/unittests/getdata.c b/src/odbc/unittests/getdata.c
index b9b2daa..591019c 100644
--- a/src/odbc/unittests/getdata.c
+++ b/src/odbc/unittests/getdata.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: getdata.c,v 1.17 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: getdata.c,v 1.18 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -13,17 +13,17 @@ test_err(const char *data, int c_type, const char *state)
 	char *buf = (char *) malloc(buf_size);
 
 	sprintf(sql, "SELECT '%s'", data);
-	Command(sql);
-	SQLFetch(Statement);
+	odbc_command(sql);
+	SQLFetch(odbc_stmt);
 	CHKGetData(1, c_type, buf, buf_size, &ind, "E");
 	free(buf);
-	ReadError();
+	odbc_read_error();
 	if (strcmp(odbc_sqlstate, state) != 0) {
 		fprintf(stderr, "Unexpected sql state returned\n");
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
-	ResetStatement();
+	odbc_reset_statement();
 }
 
 static int lc;
@@ -56,14 +56,14 @@ main(int argc, char *argv[])
 	SQLLEN len;
 	SQLRETURN rc;
 
-	Connect();
+	odbc_connect();
 
 	lc = 1;
 	type = SQL_C_CHAR;
 
 	for (;;) {
 		/* TODO test with VARCHAR too */
-		Command("SELECT CONVERT(TEXT,'Prova')");
+		odbc_command("SELECT CONVERT(TEXT,'Prova')");
 
 		CHKFetch("S");
 
@@ -82,10 +82,10 @@ main(int argc, char *argv[])
 			exit(1);
 		}
 
-		ResetStatement();
+		odbc_reset_statement();
 
 		/* test with varchar, not blob but variable */
-		Command("SELECT CONVERT(VARCHAR(100), 'Other test')");
+		odbc_command("SELECT CONVERT(VARCHAR(100), 'Other test')");
 
 		CHKFetch("S");
 
@@ -101,7 +101,7 @@ main(int argc, char *argv[])
 			exit(1);
 		}
 
-		ResetStatement();
+		odbc_reset_statement();
 
 		if (type != SQL_C_CHAR)
 			break;
@@ -111,7 +111,7 @@ main(int argc, char *argv[])
 	}
 
 	/* test with fixed length */
-	Command("SELECT CONVERT(INT, 12345)");
+	odbc_command("SELECT CONVERT(INT, 12345)");
 
 	CHKFetch("S");
 
@@ -128,10 +128,10 @@ main(int argc, char *argv[])
 		exit(1);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* test with numeric */
-	Command("SELECT CONVERT(NUMERIC(18,5), 1850000000000)");
+	odbc_command("SELECT CONVERT(NUMERIC(18,5), 1850000000000)");
 
 	CHKFetch("S");
 
@@ -151,11 +151,11 @@ main(int argc, char *argv[])
 		exit(1);
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 
 
 	/* test int to truncated string */
-	Command("SELECT CONVERT(INTEGER, 12345)");
+	odbc_command("SELECT CONVERT(INTEGER, 12345)");
 	CHKFetch("S");
 
 	/* error 22003 */
@@ -168,37 +168,37 @@ main(int argc, char *argv[])
 		exit(1);
 	}
 #endif
-	ReadError();
+	odbc_read_error();
 	if (strcmp(odbc_sqlstate, "22003") != 0) {
 		fprintf(stderr, "Unexpected sql state %s returned\n", odbc_sqlstate);
-		Disconnect();
+		odbc_disconnect();
 		exit(1);
 	}
 	CHKGetData(1, SQL_C_CHAR, buf, 2, NULL, "No");
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* test unique identifier to truncated string */
-	rc = Command2("SELECT CONVERT(UNIQUEIDENTIFIER, 'AA7DF450-F119-11CD-8465-00AA00425D90')", "SENo");
+	rc = odbc_command2("SELECT CONVERT(UNIQUEIDENTIFIER, 'AA7DF450-F119-11CD-8465-00AA00425D90')", "SENo");
 	if (rc != SQL_ERROR) {
 		CHKFetch("S");
 
 		/* error 22003 */
 		CHKGetData(1, SQL_C_CHAR, buf, 17, NULL, "E");
-		ReadError();
+		odbc_read_error();
 		if (strcmp(odbc_sqlstate, "22003") != 0) {
 			fprintf(stderr, "Unexpected sql state %s returned\n", odbc_sqlstate);
-			Disconnect();
+			odbc_disconnect();
 			exit(1);
 		}
 		CHKGetData(1, SQL_C_CHAR, buf, 2, NULL, "No");
 	}
-	ResetStatement();
+	odbc_reset_statement();
 
 
-	Disconnect();
+	odbc_disconnect();
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
 	/* test error from SQLGetData */
 	/* wrong constant, SQL_VARCHAR is invalid as C type */
@@ -213,12 +213,12 @@ main(int argc, char *argv[])
 	test_err("1234567890123456789", SQL_C_LONG,      "22003");
 
 	/* test for empty string from mssql */
-	if (db_is_microsoft()) {
+	if (odbc_db_is_microsoft()) {
 		lc = 1;
 		type = SQL_C_CHAR;
 
 		for (;;) {
-			Command("SELECT CONVERT(TEXT,'')");
+			odbc_command("SELECT CONVERT(TEXT,'')");
 
 			CHKFetch("S");
 
@@ -231,7 +231,7 @@ main(int argc, char *argv[])
 			}
 
 			CHKGetData(1, type, buf, lc, NULL, "No");
-			ResetStatement();
+			odbc_reset_statement();
 
 			if (type != SQL_C_CHAR)
 				break;
@@ -239,7 +239,7 @@ main(int argc, char *argv[])
 			type = SQL_C_WCHAR;
 		}	
 
-		Command("SELECT CONVERT(TEXT,'')");
+		odbc_command("SELECT CONVERT(TEXT,'')");
 
 		CHKFetch("S");
 
@@ -254,7 +254,7 @@ main(int argc, char *argv[])
 		CHKGetData(1, SQL_C_BINARY, buf, 1, NULL, "No");
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/hidden.c b/src/odbc/unittests/hidden.c
index 61a11c9..8670abc 100755
--- a/src/odbc/unittests/hidden.c
+++ b/src/odbc/unittests/hidden.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: hidden.c,v 1.7 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: hidden.c,v 1.8 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,16 +12,16 @@ main(int argc, char **argv)
 	SQLSMALLINT cnt = 0;
 	int failed = 0;
 
-	use_odbc_version3 = 1;
-	Connect();
+	odbc_use_version3 = 1;
+	odbc_connect();
 
-	Command("CREATE TABLE #t1 ( k INT, c CHAR(10), vc VARCHAR(10) )");
-	Command("CREATE TABLE #tmp1 (i NUMERIC(10,0) IDENTITY PRIMARY KEY, b VARCHAR(20) NULL, c INT NOT NULL)");
+	odbc_command("CREATE TABLE #t1 ( k INT, c CHAR(10), vc VARCHAR(10) )");
+	odbc_command("CREATE TABLE #tmp1 (i NUMERIC(10,0) IDENTITY PRIMARY KEY, b VARCHAR(20) NULL, c INT NOT NULL)");
 
 	/* test hidden column with FOR BROWSE */
-	ResetStatement();
+	odbc_reset_statement();
 
-	Command("SELECT c, b FROM #tmp1");
+	odbc_command("SELECT c, b FROM #tmp1");
 
 	CHKNumResultCols(&cnt, "S");
 
@@ -29,10 +29,10 @@ main(int argc, char **argv)
 		fprintf(stderr, "Wrong number of columns in result set: %d\n", (int) cnt);
 		failed = 1;
 	}
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* test hidden column with cursors*/
-	CheckCursor();
+	odbc_check_cursor();
 
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER, "S");
 	CHKSetStmtAttr(SQL_ATTR_CURSOR_SENSITIVITY, (SQLPOINTER) SQL_SENSITIVE, SQL_IS_UINTEGER, "S");
@@ -48,7 +48,7 @@ main(int argc, char **argv)
 		failed = 1;
 	}
 
-	Disconnect();
+	odbc_disconnect();
 
 	return failed ? 1: 0;
 }
diff --git a/src/odbc/unittests/insert_speed.c b/src/odbc/unittests/insert_speed.c
index 31bc2eb..f4c0acb 100644
--- a/src/odbc/unittests/insert_speed.c
+++ b/src/odbc/unittests/insert_speed.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: insert_speed.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: insert_speed.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SQL_QUERY_LENGTH 80
@@ -17,7 +17,7 @@ insert_test_auto(void)
 	SQLINTEGER id = 0;
 	char string[64];
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_SLONG, SQL_INTEGER, sizeof(id), 0, &id, 0, &sql_nts, "SI");
 	CHKBindParameter(2, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_VARCHAR, sizeof(string), 0, string, 0, &sql_nts, "SI");
@@ -28,7 +28,7 @@ insert_test_auto(void)
 		CHKExecute("SI");
 	}
 
-	ResetStatement();
+	odbc_reset_statement();
 }
 
 
@@ -44,7 +44,7 @@ insert_test_man(void)
 
 	CHKSetConnectAttr(SQL_ATTR_AUTOCOMMIT, int2ptr(commit_off), SQL_IS_INTEGER, "SI");
 
-	ResetStatement();
+	odbc_reset_statement();
 
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_SLONG, SQL_INTEGER, sizeof(id), 0, &id, 0, &sql_nts, "SI");
 	CHKBindParameter(2, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_VARCHAR, sizeof(string), 0, string, 0, &sql_nts, "SI");
@@ -55,28 +55,28 @@ insert_test_man(void)
 		CHKExecute("SI");
 	}
 
-	SQLEndTran(SQL_HANDLE_DBC, Connection, SQL_COMMIT);
-	SQLSetConnectAttr(Connection, SQL_ATTR_AUTOCOMMIT, int2ptr(commit_on), SQL_IS_INTEGER);
-	ResetStatement();
+	SQLEndTran(SQL_HANDLE_DBC, odbc_conn, SQL_COMMIT);
+	SQLSetConnectAttr(odbc_conn, SQL_ATTR_AUTOCOMMIT, int2ptr(commit_on), SQL_IS_INTEGER);
+	odbc_reset_statement();
 }
 
 int
 main(int argc, char **argv)
 {
-	Connect();
+	odbc_connect();
 
-	CommandWithResult(Statement, "DROP TABLE test");
-	Command("CREATE TABLE test(i int, c varchar(40))");
+	odbc_command_with_result(odbc_stmt, "DROP TABLE test");
+	odbc_command("CREATE TABLE test(i int, c varchar(40))");
 
 	insert_test_man();
 
-	Command("DELETE FROM test");
+	odbc_command("DELETE FROM test");
 
 	insert_test_auto();
 
-	Command("DROP TABLE test");
+	odbc_command("DROP TABLE test");
 
-	Disconnect();
+	odbc_disconnect();
 
 	return 0;
 }
diff --git a/src/odbc/unittests/lang_error.c b/src/odbc/unittests/lang_error.c
index 9e1f7d0..759729d 100644
--- a/src/odbc/unittests/lang_error.c
+++ b/src/odbc/unittests/lang_error.c
@@ -2,18 +2,18 @@
 
 /* Test if SQLExecDirect return error if a error in row is returned */
 
-static char software_version[] = "$Id: lang_error.c,v 1.5 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: lang_error.c,v 1.6 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
 	/* issue print statement and test message returned */
-	Command2("SELECT DATEADD(dd,-100000,getdate())", "E");
+	odbc_command2("SELECT DATEADD(dd,-100000,getdate())", "E");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/moreandcount.c b/src/odbc/unittests/moreandcount.c
index 3828288..db0cd28 100644
--- a/src/odbc/unittests/moreandcount.c
+++ b/src/odbc/unittests/moreandcount.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLMoreResults and SQLRowCount on batch */
 
-static char software_version[] = "$Id: moreandcount.c,v 1.18 2009/03/17 09:05:47 freddy77 Exp $";
+static char software_version[] = "$Id: moreandcount.c,v 1.19 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -30,68 +30,68 @@ DoTest(int prepare)
 	}
 	if (!prepare) {
 		printf("Result %d\n", ++n);
-		CHECK_COLS(0);
-		CHECK_ROWS(1);
+		ODBC_CHECK_COLS(0);
+		ODBC_CHECK_ROWS(1);
 		CHKMoreResults("S");
 	}
 	printf("Result %d\n", ++n);
-	CHECK_COLS(1);
-	CHECK_ROWS(-1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(-1);
 	CHKFetch("S");
 	CHKFetch("S");
-	CHECK_COLS(1);
-	CHECK_ROWS(-1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(-1);
 	CHKFetch("No");
-	CHECK_COLS(1);
-	CHECK_ROWS(2);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(2);
 	CHKMoreResults("S");
 	if (!prepare) {
 		printf("Result %d\n", ++n);
-		CHECK_COLS(0);
-		CHECK_ROWS(1);
+		ODBC_CHECK_COLS(0);
+		ODBC_CHECK_ROWS(1);
 		CHKMoreResults("S");
 		printf("Result %d\n", ++n);
-		CHECK_COLS(0);
-		CHECK_ROWS(2);
+		ODBC_CHECK_COLS(0);
+		ODBC_CHECK_ROWS(2);
 		CHKMoreResults("S");
 	}
 	printf("Result %d\n", ++n);
-	CHECK_COLS(1);
-	CHECK_ROWS(-1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(-1);
 	CHKFetch("S");
-	CHECK_COLS(1);
-	CHECK_ROWS(-1);
+	ODBC_CHECK_COLS(1);
+	ODBC_CHECK_ROWS(-1);
 	CHKFetch("No");
-	CHECK_COLS(1);
+	ODBC_CHECK_COLS(1);
 	if (prepare) {
 		/* collapse 2 recordset... after a lot of testing this is the behavior! */
-		if (driver_is_freetds())
-			CHECK_ROWS(2);
+		if (odbc_driver_is_freetds())
+			ODBC_CHECK_ROWS(2);
 	} else {
-		CHECK_ROWS(1);
+		ODBC_CHECK_ROWS(1);
 		CHKMoreResults("S");
-		CHECK_COLS(0);
-		CHECK_ROWS(2);
+		ODBC_CHECK_COLS(0);
+		ODBC_CHECK_ROWS(2);
 	}
 
 	CHKMoreResults("No");
 #ifndef TDS_NO_DM
 	if (!prepare)
-		CHECK_COLS(-1);
-	CHECK_ROWS(-2);
+		ODBC_CHECK_COLS(-1);
+	ODBC_CHECK_ROWS(-2);
 #endif
 }
 
 int
 main(int argc, char *argv[])
 {
-	Connect();
+	odbc_connect();
 
-	Command("create table #tmp1 (i int)");
-	Command("create table #tmp2 (i int)");
-	Command("insert into #tmp1 values(1)");
-	Command("insert into #tmp1 values(2)");
-	Command("insert into #tmp1 values(5)");
+	odbc_command("create table #tmp1 (i int)");
+	odbc_command("create table #tmp2 (i int)");
+	odbc_command("insert into #tmp1 values(1)");
+	odbc_command("insert into #tmp1 values(2)");
+	odbc_command("insert into #tmp1 values(5)");
 
 	printf("Use direct statement\n");
 	DoTest(0);
@@ -99,7 +99,7 @@ main(int argc, char *argv[])
 	printf("Use prepared statement\n");
 	DoTest(1);
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/norowset.c b/src/odbc/unittests/norowset.c
index cbe7d9e..6241f2c 100644
--- a/src/odbc/unittests/norowset.c
+++ b/src/odbc/unittests/norowset.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: norowset.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: norowset.c,v 1.9 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* Test that a select following a store procedure execution return results */
@@ -11,16 +11,16 @@ main(int argc, char *argv[])
 	char output[256];
 	SQLLEN dataSize;
 
-	Connect();
+	odbc_connect();
 
-	CommandWithResult(Statement, "drop proc sp_norowset_test");
+	odbc_command_with_result(odbc_stmt, "drop proc sp_norowset_test");
 
-	Command("create proc sp_norowset_test as begin declare @i int end");
+	odbc_command("create proc sp_norowset_test as begin declare @i int end");
 
-	Command("exec sp_norowset_test");
+	odbc_command("exec sp_norowset_test");
 
 	/* note, mssql 2005 seems to not return row for tempdb, use always master */
-	Command("select name from master..sysobjects where name = 'sysobjects'");
+	odbc_command("select name from master..sysobjects where name = 'sysobjects'");
 	CHKFetch("S");
 
 	CHKGetData(1, SQL_C_CHAR, output, sizeof(output), &dataSize, "S");
@@ -34,9 +34,9 @@ main(int argc, char *argv[])
 
 	CHKMoreResults("No");
 
-	Command("drop proc sp_norowset_test");
+	odbc_command("drop proc sp_norowset_test");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/paramcore.c b/src/odbc/unittests/paramcore.c
index e23db83..5636b77 100644
--- a/src/odbc/unittests/paramcore.c
+++ b/src/odbc/unittests/paramcore.c
@@ -4,7 +4,7 @@
  * Try to make core dump using SQLBindParameter
  */
 
-static char software_version[] = "$Id: paramcore.c,v 1.7 2010/03/02 15:07:00 freddy77 Exp $";
+static char software_version[] = "$Id: paramcore.c,v 1.8 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SP_TEXT "{call sp_paramcore_test(?)}"
@@ -15,46 +15,46 @@ main(int argc, char *argv[])
 {
 	SQLLEN cb = SQL_NTS;
 
-	use_odbc_version3 = 1;
+	odbc_use_version3 = 1;
 
-	Connect();
+	odbc_connect();
 
-	CommandWithResult(Statement, "drop proc sp_paramcore_test");
-	Command("create proc sp_paramcore_test @s varchar(100) output as select @s = '12345'");
+	odbc_command_with_result(odbc_stmt, "drop proc sp_paramcore_test");
+	odbc_command("create proc sp_paramcore_test @s varchar(100) output as select @s = '12345'");
 
 	/* here we pass a NULL buffer for input SQL_NTS */
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_VARCHAR, OUTSTRING_LEN, 0, NULL, OUTSTRING_LEN, &cb, "S");
 
 	cb = SQL_NTS;
 	CHKExecDirect((SQLCHAR*) SP_TEXT, SQL_NTS, "E");
-	ResetStatement();
+	odbc_reset_statement();
 
 	/* here we pass a NULL buffer for input */
 	CHKBindParameter(1, SQL_PARAM_INPUT, SQL_C_LONG, SQL_VARCHAR, 18, 0, NULL, OUTSTRING_LEN, &cb, "S");
 
 	cb = 1;
 	CHKExecDirect((SQLCHAR*) SP_TEXT, SQL_NTS, "E");
-	ResetStatement();
+	odbc_reset_statement();
 
-	Command("drop proc sp_paramcore_test");
-	Command("create proc sp_paramcore_test @s numeric(10,2) output as select @s = 12345.6");
-	ResetStatement();
+	odbc_command("drop proc sp_paramcore_test");
+	odbc_command("create proc sp_paramcore_test @s numeric(10,2) output as select @s = 12345.6");
+	odbc_reset_statement();
 
 #if 0	/* this fails even on native platforms */
 	/* here we pass a NULL buffer for output */
 	cb = sizeof(SQL_NUMERIC_STRUCT);
-	SQLBindParameter(Statement, 1, SQL_PARAM_OUTPUT, SQL_C_NUMERIC, SQL_NUMERIC, 18, 0, NULL, OUTSTRING_LEN, &cb);
-	ReadError();
+	SQLBindParameter(odbc_stmt, 1, SQL_PARAM_OUTPUT, SQL_C_NUMERIC, SQL_NUMERIC, 18, 0, NULL, OUTSTRING_LEN, &cb);
+	odbc_read_error();
 
 	cb = 1;
-	CommandWithResult(Statement, SP_TEXT);
-	ReadError();
-	ResetStatement();
+	odbc_command_with_result(odbc_stmt, SP_TEXT);
+	odbc_read_error();
+	odbc_reset_statement();
 #endif
 
-	Command("drop proc sp_paramcore_test");
+	odbc_command("drop proc sp_paramcore_test");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done successfully!\n");
 	return 0;
diff --git a/src/odbc/unittests/params.c b/src/odbc/unittests/params.c
index 9acd9b0..8623e8c 100644
--- a/src/odbc/unittests/params.c
+++ b/src/odbc/unittests/params.c
@@ -3,7 +3,7 @@
 /* Test for store procedure and params */
 /* Test from Tom Rogers */
 
-static char software_version[] = "$Id: params.c,v 1.11 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: params.c,v 1.12 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* SP definition */
@@ -30,13 +30,13 @@ Test(int bind_before)
 	SQLLEN cbReturnCode = 0, cbInParam = 0, cbOutParam = 0;
 	SQLLEN cbOutString = SQL_NTS;
 
-	Connect();
+	odbc_connect();
 
 	/* drop proc */
-	Command("IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
+	odbc_command("IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
 
 	/* create proc */
-	Command(sp_define);
+	odbc_command(sp_define);
 
 	if (!bind_before)
 		CHKPrepare((SQLCHAR *) SP_TEXT, strlen(SP_TEXT), "S");
@@ -55,7 +55,7 @@ Test(int bind_before)
 
 	CHKExecute("S");
 
-	Command("DROP PROC spTestProc");
+	odbc_command("DROP PROC spTestProc");
 
 	printf("Output:\n");
 	printf("   Return Code = %d\n", (int) ReturnCode);
@@ -73,7 +73,7 @@ Test(int bind_before)
 		return 1;
 	}
 
-	Disconnect();
+	odbc_disconnect();
 	return 0;
 }
 
diff --git a/src/odbc/unittests/prepare_results.c b/src/odbc/unittests/prepare_results.c
index bcf3993..cd18246 100644
--- a/src/odbc/unittests/prepare_results.c
+++ b/src/odbc/unittests/prepare_results.c
@@ -2,7 +2,7 @@
 
 /* Test for data format returned from SQLPrepare */
 
-static char software_version[] = "$Id: prepare_results.c,v 1.11 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: prepare_results.c,v 1.12 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,14 +12,14 @@ main(int argc, char *argv[])
 	SQLULEN size;
 	char name[128];
 
-	Connect();
+	odbc_connect();
 
-	Command("create table #odbctestdata (i int, c char(20), n numeric(34,12) )");
+	odbc_command("create table #odbctestdata (i int, c char(20), n numeric(34,12) )");
 
 	/* reset state */
-	Command("select * from #odbctestdata");
-	SQLFetch(Statement);
-	SQLMoreResults(Statement);
+	odbc_command("select * from #odbctestdata");
+	SQLFetch(odbc_stmt);
+	SQLMoreResults(odbc_stmt);
 
 	/* test query returns column information for update */
 	CHKPrepare((SQLCHAR *) "update #odbctestdata set i = 20", SQL_NTS, "S");
@@ -50,7 +50,7 @@ main(int argc, char *argv[])
 
 	CHKDescribeCol(2, (SQLCHAR *) name, sizeof(name), &namelen, &type, &size, &digits, &nullable, "S");
 
-	if (type != SQL_CHAR || strcmp(name, "c") != 0 || (size != 20 && (db_is_microsoft() || size != 40))) {
+	if (type != SQL_CHAR || strcmp(name, "c") != 0 || (size != 20 && (odbc_db_is_microsoft() || size != 40))) {
 		fprintf(stderr, "wrong column 2 informations (type %d name '%s' size %d)\n", (int) type, name, (int) size);
 		exit(1);
 	}
@@ -63,9 +63,9 @@ main(int argc, char *argv[])
 	}
 
 	/* TODO test SQLDescribeParam (when implemented) */
-	Command("drop table #odbctestdata");
+	odbc_command("drop table #odbctestdata");
 
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
diff --git a/src/odbc/unittests/prepclose.c b/src/odbc/unittests/prepclose.c
index c68edb9..4b14e26 100644
--- a/src/odbc/unittests/prepclose.c
+++ b/src/odbc/unittests/prepclose.c
@@ -26,7 +26,7 @@
  * prepare or execute a query. This should fail and return an error message.
  */
 
-static char software_version[] = "$Id: prepclose.c,v 1.6 2010/03/01 14:50:55 freddy77 Exp $";
+static char software_version[] = "$Id: prepclose.c,v 1.7 2010/07/05 09:20:33 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if HAVE_FSTAT && defined(S_IFSOCK)
@@ -67,7 +67,7 @@ Test(int direct)
 	char buf[256];
 	unsigned char sqlstate[6];
 
-	Connect();
+	odbc_connect();
 
 	if (!close_last_socket()) {
 		fprintf(stderr, "Error closing connection\n");
@@ -84,11 +84,11 @@ Test(int direct)
 			CHKNumResultCols(&cols, "E");
 	}
 
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
+	CHKGetDiagRec(SQL_HANDLE_STMT, odbc_stmt, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
 	sqlstate[5] = 0;
 	printf("state=%s err=%s\n", (char*) sqlstate, buf);
 	
-	Disconnect();
+	odbc_disconnect();
 
 	printf("Done.\n");
 	return 0;
